Content-type: text/html

# FTPMIRROR

Section: Maintenance Commands (8)
Updated: January 29, 2007
Index

## NAME

ftpmirror - Mirroring directory hierarchy using FTP protocol

## SYNOPSIS

ftpmirror [package]

## DESCRIPTION

ftpmirror is an utility to copy directory hierarchy (usually called 'mirror') using FTP protocol.

A similar perl script exists, whose name is 'mirror', but ftpmirror requires less memory than mirror.

## OPTIONS

Traditionally ftpmirror mirroring operation was MASTER->SLAVE but since version 1.96 the SLAVE->MASTER (reverse mirror) is supported.
This behaviour can be controlled for each package section in the main configuration file (/etc/ftpmirror/ftpmirror.cf).

MASTER->SLAVE --> get-mode = yes (default)
SLAVE->MASTER --> put-mode = yes

## EXAMPLES

ftpmirror provides a 'ready-to-use' sample package for testing porpouses. In order to run the provided test package you need to issue the following commands (both commands must be run by the same user):

mkdir -p /tmp/upstream
/usr/bin/ftpmirror upstream

This package should copy directory hierarchy from the original author's FTP location (ftp://ftp.intec.co.jp/pub/utils/ftpmirror) to your local hard drive (/tmp/upstream)

## SEE ALSO

For other supported configuration options see /etc/ftpmirror/ftpmirror.cf where you will find commented examples.

## AUTHOR

ftpmirror was originally written by Ikuo Nakagawa <ikuo@intec.co.jp>

This manual page was written by Dario Minnucci <debian@midworld.net>, for the Debian project (but may be used by others).

## Index

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
EXAMPLES
SEE ALSO
AUTHOR

This document was created by man2html, using the manual pages.
Time: 20:15:17 GMT, January 29, 2007